## com.saxonica.functions.extfn
Class DynamicErrorInfo

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.extfn.DynamicErrorInfo

All Implemented Interfaces:
  Serializable

    public class DynamicErrorInfo

extends ExtensionFunctionDefinition

This class implements the extension function saxon:dynamic-error-info(), which underpins the variables accessible within saxon:catch such as $err:code etc. This function is not documented for direct use by applications, though there is no reason it would not work; instead, calls to this function are generated to represent the conventional variables $err:code, $err:description, etc. The function has a single argument, which is the local name of the corresponding variable name, as a string.

See Also:
  Serialized Form

Constructor Summary
`DynamicErrorInfo()`

Method Summary
`boolean` `dependsOnFocus()` Ask whether the result of the function depends on the focus
`SequenceType[]` `getArgumentTypes()` Get the required types for the arguments of this function, counting from zero
`StructuredQName` `getFunctionQName()` Get the function name, as a QName
`int` `getMaximumNumberOfArguments()` Get the maximum number of arguments allowed by the function
`int` `getMinimumNumberOfArguments()` Get the minimum number of arguments required by the function
`SequenceType` `getResultType(SequenceType[] suppliedArgumentTypes)` Get the type of the result of the function
`ExtensionFunctionCall` `makeCallExpression()` Create a call on this function.

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`getCompilerForJava, hasSideEffects, trustResultType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicErrorInfo

    public DynamicErrorInfo()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Get the function name, as a QName

  Specified by:
    `getFunctionQName` in class `ExtensionFunctionDefinition`
  Returns:
    the QName of the function

### getMinimumNumberOfArguments

    public int getMinimumNumberOfArguments()

  Get the minimum number of arguments required by the function

  Overrides:
    `getMinimumNumberOfArguments` in class `ExtensionFunctionDefinition`
  Returns:
    the minimum number of arguments that must be supplied in a call to this function

### getMaximumNumberOfArguments

    public int getMaximumNumberOfArguments()

  Get the maximum number of arguments allowed by the function

  Overrides:
    `getMaximumNumberOfArguments` in class `ExtensionFunctionDefinition`
  Returns:
    the maximum number of arguments that may be supplied in a call to this function

### getArgumentTypes

    public SequenceType[] getArgumentTypes()

  Get the required types for the arguments of this function, counting from zero

  Specified by:
    `getArgumentTypes` in class `ExtensionFunctionDefinition`
  Returns:
    the required types of the argument, as defined by the function signature. Normally this should be an array of size `getMaximumNumberOfArguments()`; however for functions that allow a variable number of arguments, the array can be smaller than this, with the last entry in the array providing the required type for all the remaining arguments.

### getResultType

    public SequenceType getResultType(SequenceType[] suppliedArgumentTypes)

  Get the type of the result of the function

  Specified by:
    `getResultType` in class `ExtensionFunctionDefinition`
  Parameters:
    `suppliedArgumentTypes` - the static types of the arguments to the function. This is provided so that a more precise result type can be returned in the common case where the type of the result depends on the type of the first argument. The value will be null if the function call has no arguments.
  Returns:
    the return type of the function, as defined by its function signature

### dependsOnFocus

    public boolean dependsOnFocus()

  Ask whether the result of the function depends on the focus

  Overrides:
    `dependsOnFocus` in class `ExtensionFunctionDefinition`
  Returns:
    true if the result of the function depends on the context item, position, or size. The default implementation returns false. This must be set to true if the function makes use of any of these values from the dynamic context.

### makeCallExpression

    public ExtensionFunctionCall makeCallExpression()

  Create a call on this function. This method is called by the compiler when it identifies a function call that calls this function.

  Specified by:
    `makeCallExpression` in class `ExtensionFunctionDefinition`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.